<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.system.mapper.DictTypeMapper">

    <select id="dictDataCache" resultType="DictDataCache">
        select
            t1.id id,
            t1.name name,
            t1.code code,
            t1.sort sort,
            t2.id typeId,
            t2.name typeName,
            t2.code typeCode
        from
            sys_dict_data t1,
            sys_dict_type t2
        where
            t1.Type_Id = t2.id
          and
            t1.state = 1
    </select>

</mapper>
